<?php

namespace Ebuy\Object\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Ebuy\Object\Interfaces\ObjectsRepositoryInterface;

class ObjectsPublicController extends BaseController
{
    // use ObjectsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Ebuy\Objects\Interfaces\ObjectsRepositoryInterface $objects
     *
     * @return type
     */
    public function __construct(ObjectsRepositoryInterface $objects)
    {
        $this->repository = $objects;
        parent::__construct();
    }

    /**
     * Show objects's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $objects = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('object::objects.names'))
            ->view('object::public.objects.index')
            ->data(compact('objects'))
            ->output();
    }


    /**
     * Show objects.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $objects = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($objects->name . trans('object::objects.name'))
            ->view('object::public.objects.show')
            ->data(compact('objects'))
            ->output();
    }

}
